Page MenuHomeFreeBSD

dns/py-bonjour -> dns/py-pybonjour
ClosedPublic

Authored by jhixson on Jan 25 2019, 5:40 PM.

Details

Summary

dns/py-bonjour -> dns/py-pybonjour

Test Plan

Tested with poudriere for 11.2 and 12.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhixson created this revision.Jan 25 2019, 5:40 PM

I see the problem here. The port is fine, only dns/Makefile needs to be updated here.

Please also add a MOVED entry. Thanks!

araujo requested changes to this revision.Jan 29 2019, 3:39 AM

Missing MOVED entry!

This revision now requires changes to proceed.Jan 29 2019, 3:39 AM
jhixson updated this revision to Diff 53359.Jan 29 2019, 3:53 AM

dns/py-pybonjour: Add entry into MOVED

The Makefile disappear :D

The makefile for the port isn't showing up because there aren't any changes to it.

john@pcbsd /usr/local/poudriere/ports/subversive$ svn diff dns/py-pybonjour/

Index: dns/py-pybonjour/Makefile

Index: dns/py-pybonjour/distinfo

Index: dns/py-pybonjour/files/patch-pybonjour.py

Index: dns/py-pybonjour/pkg-descr

john@pcbsd /usr/local/poudriere/ports/subversive$ cat dns/py-pybonjour/Makefile

$FreeBSD: head/dns/py-bonjour/Makefile 489656 2019-01-08 08:51:57Z jhixson $

PORTNAME= pybonjour
PORTVERSION= 1.1.1
CATEGORIES= dns python
PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}

MAINTAINER= jhixson@freebsd.org
COMMENT= Pure-Python interface to Apple Bonjour

LICENSE= MIT

LIB_DEPENDS= libdns_sd.so.1:net/mDNSResponder

USES= python:3.6+
USE_PYTHON= autoplist distutils
USE_GITHUB= yes
GH_ACCOUNT= depl0y
GH_PROJECT= pybonjour-python3
GH_TAGNAME= 2c8283f

NO_ARCH= yes

.include <bsd.port.mk>

miwi accepted this revision.Jan 29 2019, 12:51 PM

Please update the MOVED entry to the day of commit.

araujo accepted this revision.Jan 29 2019, 12:52 PM
This revision is now accepted and ready to land.Jan 29 2019, 12:52 PM
This revision was automatically updated to reflect the committed changes.